---
onap_testing_docker_tests:
  basic_cds: smoke_pythonsdk_tests
  basic_clamp: smoke_pythonsdk_tests
  basic_network: smoke_pythonsdk_tests
  basic_onboard: smoke_pythonsdk_tests
  basic_vm: smoke_pythonsdk_tests
  basic_vm_macro: smoke_pythonsdk_tests
  jdpw_ports: security_tests
  nonssl_endpoints: security_tests
  onap-helm: infra_healthcheck_tests
  onap-k8s: infra_healthcheck_tests
  root_pods: security_tests
  unlimitted_pods: security_tests
  versions: security_tests

# Paths
clouds_path: .config/openstack/clouds.yaml
kube_conf_file: config
kube_conf_path: ".kube/{{ kube_conf_file }}"
onap_testing_tests_path: "/usr/lib/python3.8/site-packages/onaptests"
os_test_cloud: onap-master-weekly-vnfs-ci
onap_testing_local_path: "{{ ansible_user_dir }}/xtesting-test"

onap_testing_settings_file:
  basic_vm: onaptests.configuration.basic_vm_settings
  basic_vm_macro: onaptests.configuration.basic_vm_macro_settings
  basic_network: onaptests.configuration.basic_network_nomulticloud_settings
  basic_cds: onaptests.configuration.cba_enrichment_settings
  basic_onboard: onaptests.configuration.basic_onboard_settings
  basic_clamp: onaptests.configuration.basic_clamp_settings

onap_testing_docker_registry: nexus3.onap.org:10003
onap_testing_docker_path: "{{ onap_testing_docker_registry }}/onap"
onap_testing_docker_images:
  infra_healthcheck_tests:
    "{{ onap_testing_docker_path }}/xtesting-infra-healthcheck"
  security_tests:
    "{{ onap_testing_docker_path }}/xtesting-security"
  smoke_pythonsdk_tests:
    "{{ onap_testing_docker_path }}/xtesting-smoke-usecases-pythonsdk"

onap_testing_volumes_base:
  - "{{ ansible_user_dir }}/{{ kube_conf_path }}:/root/{{ kube_conf_path }}"
  - "{{ ansible_user_dir }}/{{ clouds_path }}:/root/{{ clouds_path }}"
onap_testing_docker_volumes:
  infra_healthcheck_tests:
    "{{ onap_testing_volumes_base  +
     [exec_local_path ~ ':/var/lib/xtesting/results'] +
     [helm_deploy_logs_path ~ ':/onap_helm_logs'] }}"
  security_tests:
    "{{ onap_testing_volumes_base +
     [exec_local_path ~ ':/var/lib/xtesting/results'] }}"
  smoke_pythonsdk_tests:
    "{{ onap_testing_volumes_base +
     [exec_local_path ~ ':/var/lib/xtesting/results'] +
     [exec_local_path ~ '/settings.py:'
       ~ onap_testing_tests_path ~ '/configuration/settings.py'] }}"

onap_namespace: onap
onap_version: master
onap_testing_docker_version: "{{ onap_version }}"

onap_testing_etc_hosts: >
  {
    "portal.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "vid.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "sdc.api.fe.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "sdc.api.be.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "aai.api.sparky.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "so.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "appc.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "sdnc.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "nbi.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "msb.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "mr.api.simpledemo.onap.org": "{{ oom_cluster_ip }}",
    "{{ minio_fqdn }}": "{{ oom_cluster_ip }}",
  }

# helm test param
onap_testing_helm3_deploy_logs_path: "{{
  ansible_user_dir }}/.local/share/helm/plugins/deploy/cache/onap/logs"

# CNF tests
onap_testing_cnf_k8s_region_type: k8s
onap_testing_cnf_k8s_config: None
onap_testing_cnf_k8s_namespace: onap

# ---------------------------------------------------------------
# Reporting part
# Test DB
test_result_url: http://testresults.opnfv.org/onap/api/v1/results
deployment_name: oom
node_name: lab-test
scenario: scenario-test
build_tag: "build-tag-test-{{ 100 | random }}"

# S3 Integration
minio_fqdn: minio.minio
s3_endpoint: ""
s3_internal_url: s3_endpoint
s3_http_url_endpoint: ""
identifier: "ident-{{ 100 | random }}"
s3_raw_dst:
  "onap/{{ test_category }}/{{ onap_testing_test_name }}/{{ identifier }}"
s3_dst: "s3://{{ s3_raw_dst }}"
s3_access_key: ""
s3_secret_key: ""
# ---------------------------------------------------------------
